/*
 *  kom-types.c
 *		Definition of constants and other thing that
 *		can't or shouldn't be defined in header files.
 *
 *
 *  Copyright (C) 1990  Lysator Computer Club
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	bellman@Lysator.LiU.SE
 */

static char *rcsid = "$Id: kom-types.c,v 0.2 1991/08/28 02:21:29 ceder Exp $";



#include <stdio.h>

#include <kom-types.h>
#include <config.h>

#define	EXPORT


EXPORT const Conf_list_old	EMPTY_CONF_LIST_OLD = EMPTY_CONF_LIST_OLD_i;

EXPORT  const Pers_list		EMPTY_PERS_LIST = EMPTY_PERS_LIST_i;

EXPORT  const Mark_list		EMPTY_MARK_LIST = EMPTY_MARK_LIST_i;

EXPORT  const Conf_type		NULL_CONF_TYPE	= NULL_CONF_TYPE_i;

EXPORT  const Membership	EMPTY_MEMBERSHIP = EMPTY_MEMBERSHIP_i;

EXPORT  const Membership_list	EMPTY_MEMBERSHIP_LIST = EMPTY_MEMBERSHIP_LIST_i;

EXPORT  const Text_list		EMPTY_TEXT_LIST =  EMPTY_TEXT_LIST_i;

EXPORT  const Member_list	EMPTY_MEMBER_LIST = EMPTY_MEMBER_LIST_i;

EXPORT  const Session_info	EMPTY_SESSION_INFO = EMPTY_SESSION_INFO_i;

EXPORT  const Who_info_old	EMPTY_WHO_INFO_OLD = EMPTY_WHO_INFO_OLD_i;

EXPORT  const Who_info_list_old	EMPTY_WHO_INFO_LIST_OLD =
    					EMPTY_WHO_INFO_LIST_OLD_i;

EXPORT  const Who_info		EMPTY_WHO_INFO = EMPTY_WHO_INFO_i;

EXPORT  const Who_info_list 	EMPTY_WHO_INFO_LIST = EMPTY_WHO_INFO_LIST_i;

EXPORT  const Priv_bits		DEFAULT_PRIV_BITS = DEFAULT_PRIV_BITS_i;

EXPORT const Personal_flags DEFAULT_PERSONAL_FLAGS = DEFAULT_PERSONAL_FLAGS_i;


EXPORT const Person EMPTY_PERSON = EMPTY_PERSON_i;

EXPORT const Conference EMPTY_CONFERENCE = EMPTY_CONFERENCE_i;

EXPORT const Small_conf EMPTY_SMALL_CONF = EMPTY_SMALL_CONF_i;

EXPORT const Text_stat EMPTY_TEXT_STAT = EMPTY_TEXT_STAT_i;
